<!DOCTYPE html>
<html lang='en'>
  <head>
    <meta charset='UTF-8'/>
    <title>MAIA Streaming Test Page</title>
  </head>
  <body>

    <center>
      MAIA On-demand DASH Streaming Example: <br />
      <br />

      <audio id="audioPlayer" autoplay="autoplay" controls="controls">
        <!-- <source src="streaming/HLS/audio.m3u8" type="application/vnd.apple.mpegurl" /> -->
        <!-- <source src="streaming/fallback-audio.mp4" type="video/mp4" /> -->
      </audio>
    </center>

    <!-- dash-player - no browser is natively playing DASH -->
    <script src="dash.all.min.js"></script>
    <script>

      <!-- Live DASH streaming:      Coming Soon... -->

      /* initialize the dash.js player in the #videoPlayer element */
      (function () {
          let url = "dash/dash.mpd";
          player = dashjs.MediaPlayer().create();
          player.initialize(document.querySelector("#audioPlayer"), url, false);
      })();

    </script>

  </body>
</html>
